<?
include("../../act/util/SessionTimeReSet.php");
?>  
<div id="top">   
	<div id="about_top" >
		<ul>
			<li  style="font-size: 39px;"><font face="NanumGothic">YUJIN</font>  <font face="NanumGothicBold">OA</font></li>
			<li style="font-size: 17.5px;"><font face="NanumGothic">SAMPLE TEXT</font></li>
			<li style="font-size: 50.5px; color: #2e3f64;"><font face="NanumGothicBold">SAMPLE TEXT</font></li>
		</ul>
	</div>  
</div> 

   
<div id="content_list" ng-controller='productCtrl as myApp'>
	<div id="content_title">
		<ul> 
			<li>PRODUCT</li>  
		</ul>
	</div>     
	<div id="product_list_wrap" class="connectedSortable"> 
		<div class="product_wrap" ng-repeat="product in productList" on-Last-Repeat> 
			<input type="hidden" class="sn" name="sn" value="{{product.sn}}"> 
			<input type="hidden" class="no" name="no" value="{{product.no}}">
				<!-- float left!! -->
			<div class="product_img_left" ng-show="product.imageLeft==true">   
				 <img class="productImg" ng-src="image/product/{{product.imageFileName}}" ng-click="productInfoForm(product.sn)"> 
			</div>   
			
			<div class="product_txt_left" ng-show="product.imageLeft==true"> 
				<ul class="txt_title">
					<li >
						<span style="border-bottom: 1px solid #b2b2b9;padding-bottom: 5px;" ng-click="productInfoForm(product.sn)">{{product.name}}</span>   
					</li>  
					<li >  
						<?   
  							if($_SESSION['admin']==1){
  						?>
							<img src="image/btn_x.png"  class="productDeleteBtn" ng-click="productDelete(product.sn)">
						<?
							}
						?> 
					</li>  
				</ul>         
				<ul class="txt_content" >
					<li  style="height:201px;margin-left: 15px;margin-right: 15px;">
						<p class="overFlow_And_word-break_Ptag" style="" ng-click="productInfoForm(product.sn)">{{product.basicContent}}<p>
					</li>      
					<li> 
						<img src="image/label_inkjetprinter.png" class="productPrintBtn" ng-show="product.type==0">
						<img src="image/label_laserprinter.png" class="productPrintBtn" ng-show="product.type==1">
						<img src="image/label_copymachine.png" class="productPrintBtn" ng-show="product.type==2">
						<?   
  							if($_SESSION['admin']==1){
  						?>
							<img src="image/btn_edit.png" class="productUpdateBtn" ng-click="productUpdateForm(product.sn)">
						<?
							}
						?> 
					</li> 
				</ul>  
			</div>     
			  
				<!-- float right!! -->
			<div class="product_img_right" ng-show="product.imageLeft==false" style="float:right;">    
				<img class="productImg" ng-src="image/product/{{product.imageFileName}}"  ng-click="productInfoForm(product.sn)"> 
			</div>  
			<div class="product_txt_right" ng-show="product.imageLeft==false" style="float:right;">     
				<ul class="txt_title" > 
					<li >
						<span style="border-bottom: 1px solid #b2b2b9;padding-bottom: 5px;" ng-click="productInfoForm(product.sn)">{{product.name}}</span>   
					</li>  
					<li >  
						<?   
  							if($_SESSION['admin']==1){
  						?>
							<img src="image/btn_x.png"  class="productDeleteBtn" ng-click="productDelete(product.sn)">
						<?
							}
						?> 						
					</li>  
				</ul> 
				<ul class="txt_content"> 
					<li style="height:201px;margin-left: 15px;margin-right: 15px;"> 
						<p class="overFlow_And_word-break_Ptag" style="" ng-click="productInfoForm(product.sn)">{{product.basicContent}}<p>
					</li>  
					<li>   
						<img src="image/label_inkjetprinter.png" class="productPrintBtn" ng-show="product.type==0">
						<img src="image/label_laserprinter.png" class="productPrintBtn" ng-show="product.type==1">
						<img src="image/label_copymachine.png" class="productPrintBtn" ng-show="product.type==2">
							 
						<?   
  							if($_SESSION['admin']==1){
  						?>
							<img src="image/btn_edit.png" class="productUpdateBtn" ng-click="productUpdateForm(product.sn)">
							
						<?
							}
						?> 
					</li>  
				</ul>   
			</div>
		</div> 
	</div>     
			
	<?   
		if($_SESSION['admin']==1){
	?>
		<div class="product_add" id="product_add" >   
			 <img src="image/btn_plus.png" id="addBtn"  ng-click="productAddOpen()">
		</div>  
	<?
		} 
	?>  
	
	<div class="clear"></div>  
	<div class="demo-slider"> 
	  <div id="amazingslider-15" style="">
   		 <ul class="amazingslider-slides" style="display:none;">
         	<li><img src="http://amazingslider.com/wp-content/uploads/amazingslider/15/images/golden-wheat-field-960-300.jpg" alt="Golden Wheat Field" /></li>
	     </ul>
        <ul class="amazingslider-thumbnails" style="display:none;">
            <li><img src="http://amazingslider.com/wp-content/uploads/amazingslider/15/images/thumbnails/golden-wheat-field-960-300.jpg" /></li>
        </ul> 
  	  </div>    
	</div>
		<!-- Modal -->
 	<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
	  <div class="modal-dialog" id="ieStyle" >
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
	        <h4 class="modal-title" id="myModalLabel">상품등록</h4>
	      </div>
	      <div class="modal-body" id="modal_body">
		       <form role="form" id="insertForm" name="insertForm" enctype="multipart/form-data" method="POST"
		     	action="act/productInsert.php">
			       <div class="form-group"> 
			         	<label for="name">상품명</label> 
			         	<input type="text" class="form-control" id="name" name="name" placeholder="Enter name">
			       </div>
			       <div class="form-group">  
			         	<label for="type">상품종류</label> 
			         	<select class="form-control" id="type" name="type">
							  <option value="0">잉크젯프린터</option>
							  <option value="1">레이져프린터</option>
							  <option value="2">복사기</option>
						</select>  
			       </div>
			       <div class="form-group"> 
			         	<label for="productFunction">상품기능</label>  
			         	<input type="text" class="form-control" id="productFunction" name="productFunction"  placeholder="Enter function">
			       </div>
 	               <div class="form-group"> 
			         	<label for="type">보증료</label> 
	    		     	<input type="text" class="form-control" id="warranty" name="warranty"  placeholder="Enter Warranty">
			       </div>
			       <div class="form-group"> 
			         	<label for="price">상품가격</label>
			         	<input type="text" class="form-control" id="price" name="price"  placeholder="Enter price">
			       </div>
			       <div class="form-group">
			         	<label for="radio">가격 기준</label>  
			         	<label class="radio-inline">
						  <input type="radio" name="option" id="contractDateRadio" value="1" checked="checked"  > 약정기간
						</label> 
						<label class="radio-inline" style="margin-right: 50%;">    
						  <input type="radio" name="option" id="paperQtyRadio" value="2" > 기본매수
						</label> 
						<div id="contractDateDiv" style="clear: both;">
							<label for="radio" style="color:red;">기본매수</label> 
							<input type="text" class="form-control" id="paperQty" name="paperQty[]"  placeholder="Enter PaperQty">
				       		<label for="radio" style="color:red;">약정기간(예-1년/200,000)</label>
						</div> 
						<div id="paperQtyDiv" style="display:none;clear: both;"> 
							<label for="radio" style="color:red;">약정기간</label>  
							<input type="text" class="form-control" id="contractDate" name="contractDate[]"  placeholder="Enter ContractDate">
				       		<label for="radio" style="color:red;">기본매수(예-1000매/100,000)</label> 
						</div>	 
						<input type="button" class="form-controlCustom" id="plusForm" value="추가" ng-click="optionAppend()">
			       </div>  
			       <div class="form-group">
			     	  	<label for="img">상품이미지</label> 
						<input type="file" id="imgFile" name="imgFile" class="file-inputs" title="Search for a file to add">
			       </div>
			       <div class="form-group">
						<label for="basicContent">상품간단설명</label>
					   	<textarea class="form-control" name="basicContent" id="basicContent" style="width:100%;"  title="상품 목록에 보여지는 간단정보 입니다."></textarea> 
			       </div>  
			       <div class="form-group">  
						<label for="content">상품상세설명</label>   
					   	<textarea class="form-control" name="content" id="content" style="width:100%;" title="상품 상세보기에 보여지는 상세정보 입니다."></textarea>
			       </div>
		     	</form>  
	      </div>
	      
	      <div class="modal-footer"> 
	        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
	        <button type="button" class="btn btn-primary" ng-click="productInsert()">Submit</button>
	      </div> 
	  
	    </div>
	  </div>
	</div>   
	  
	<div class="modal fade" id="updateModal" tabindex="-1" role="dialog" aria-labelledby="upModalLabel" aria-hidden="true">
	  <div class="modal-dialog" id="ieStyle" >
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
	        <h4 class="modal-title" id="upModalLabel">상품수정</h4>
	      </div>
	      <div class="modal-body" id="modal_body">
		       <form role="form" id="updateForm" name="updateForm" enctype="multipart/form-data" method="POST"
		     	action="act/productUpdate.php">
			       <div class="form-group"> 
			         	<label for="name">상품명</label>    
			         	<input type="hidden" name="sn" value="{{productFormData[0].sn}}"> 
			         	<input type="text" class="form-control" id="up_name" name="up_name" value="{{productFormData[0].name}}" placeholder="Enter name">
			       </div>  
			        
			       <div class="form-group"> 
			         	<label for="type">상품종류</label>  
			         	<select class="form-control" id="up_type" name="up_type">
							  <option value="0">잉크젯프린터</option>
							  <option value="1">레이져프린터</option>
							  <option value="2">복사기</option>
						</select>   
			       </div>
			           <div class="form-group"> 
			         	<label for="productFunction">상품기능</label>  
			         	<input type="text" class="form-control" id="up_productFunction" name="up_productFunction"  value="{{productFormData[0].productFunction}}" placeholder="Enter function">
			       </div>
			             <div class="form-group"> 
			         	<label for="type">보증료</label> 
	    		     	<input type="text" class="form-control" id="up_warranty" name="up_warranty" value="{{productFormData[0].warranty}}" placeholder="Enter Warranty">
			       </div>
			       <div class="form-group"> 
			         	<label for="price">상품가격</label>
			         	<input type="text" class="form-control" id="up_price" name="up_price" value="{{productFormData[0].price}}"  placeholder="Enter price">
			       </div>
			       <div class="form-group">
			         	<label for="radio">가격 기준</label>  
			         	<label class="radio-inline">
						  <input type="radio" name="up_option" id="up_contractDateRadio" value="1" checked="checked" > 약정기간
						</label>  
						<label class="radio-inline" style="margin-right: 50%;">    
						  <input type="radio" name="up_option" id="up_paperQtyRadio" value="2" > 기본매수
						</label>     
						<div id="up_contractDateDiv" style="clear: both;"> 
							<label for="radio" style="color:red;">기본매수</label> 
							<input type="text" class="form-control" id="up_paperQty_" name="up_paperQty_"  placeholder="Enter PaperQty">
				       		<input type="hidden" class="form-control" id="up_paperQtySn" name="up_paperQtySn"  placeholder="Enter PaperQty">
				       		<label for="radio" style="color:red;">약정기간</label>
						</div>  
						<div id="up_paperQtyDiv" style="display:none;clear: both;"> 
							<label for="radio" style="color:red;">약정기간</label>  
							<input type="text" class="form-control" id="up_contractDate_" name="up_contractDate_"  placeholder="Enter ContractDate">
				       		<input type="hidden" class="form-control" id="up_contractDateSn" name="up_contractDateSn"  placeholder="Enter PaperQty">
				       		<label for="radio" style="color:red;">기본매수</label> 
						</div> 
						<input type="button" class="form-controlCustom" id="plusForm" value="추가" ng-click="optionUpdateAppend('','','')">
			       </div>     
			       <div class="form-group"> 
			     	  	<label for="img">상품이미지</label>     
						<img id="up_imgSrc" name="up_imgSrc" width="299px" height="299px" src="">
						
						<input type="file" id="up_imgFile" name="up_imgFile" class="file-inputs" title="Search for a file to add">
			       </div>  
			       <div class="form-group">
						<label for="basicContent">상품간단설명</label>
					   	<textarea class="form-control" name="up_basicContent" id="up_basicContent" style="width:100%;"  title="상품 목록에 보여지는 간단정보 입니다.">{{productFormData[0].basicContent}}</textarea> 
			       </div>  
			       <div class="form-group">   
						<label for="content">상품상세설명</label>   
					   	<textarea class="form-control" name="up_content" id="up_content" style="width:100%;" title="상품 상세보기에 보여지는 상세정보 입니다."></textarea>
			       </div>
		     	</form>  
	      </div>
	      <div class="modal-footer"> 
	        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
	        <button type="button" class="btn btn-primary" ng-click="productUpdate()">Submit</button>
	      </div>
	    </div>
	  </div>
	</div>
	
	
	
	
	
	
	
	<div class="modal fade" id="infoModal" tabindex="-1" role="dialog" aria-labelledby="infoModalLabel" aria-hidden="true">
	  <div class="modal-dialog" id="ieStyle" > 
	    <div class="modal-content">
	      <div class="modal-header"> 
	        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
		    <h4 class="modal-title" id="infoModalLabel">상품정보</h4>
	      </div> 
	     <div class="modal-body" id="modal_body">
	     
 				<div id="modal-left"> 
				 	<img id="info_imgFile" src="">
				</div>  
				<div id="modal-right"> 
					<div class="form-group" id="product_Info_Model">  
					 	<label class=""><font face="NanumGothicBold">모델명</font></label>
					 	<label class="">{{productInfo.name}}</label> 
					</div>
					<div class="form-group">   
					 	<label class="info_CulTitle">고객선호도</label>
			         	<label class="info_CulValue">
				         	<img src="image/icon_star.png">
				         	<img src="image/icon_star.png">
				         	<img src="image/icon_star.png">
				         	<img src="image/icon_star.png">
				         	<img src="image/icon_star.png">
			         	</label>
					</div>
					<div class="form-group"> 
					 	<label class="info_CulTitle">보증료</label>
			         	<label class="info_CulValue">{{productInfo.warranty}}</label>
					</div>
					<div class="form-group"> 
					 	<label class="info_CulTitle">기능</label>
			         	<label class="info_CulValue">{{productInfo.productFunction}}</label>
					</div> 
					<div class="form-group" id="info_contractDateDiv" ng-show="productInfo.optionType!=1"> 
					 	<label class="info_CulTitle">약정기간</label> 
					 	<label class="info_CulValue" ng-repeat="option in productOptionInfo" ng-show="option.type==1">{{option.content}}</label>
			 		</div>
					<div class="form-group" id="info_contractDateDiv" ng-show="productInfo.optionType==1"> 
					 	<label class="info_CulTitle">약정기간</label> 
					 	<select class="form-control" id="contractDateSelect" >    
					 		<option ng-show="option.type==1"  ng-repeat="option in productOptionInfo"  value="{{option.addPrice}}" ng-init='contractDateSelectRemove(option.type)'>{{option.content}}</option> 
					 	</select>    
					</div>  
					<div class="form-group" id="info_paperQtyDiv" ng-show="productInfo.optionType!=2">  
					 	<label class="info_CulTitle">기본매수</label>
			         	<label class="info_CulValue" ng-repeat="option in productOptionInfo" ng-show="option.type==2">{{option.content}}</label>
					</div>
					<div class="form-group" id="info_paperQtyDiv" ng-show="productInfo.optionType==2"> 
					 	<label class="info_CulTitle">기본매수</label> 
					 	<select class="form-control" id="paperQtySelect">  
					 		<option  ng-repeat="option in productOptionInfo"  ng-show="option.type==2" value="{{option.addPrice}}" ng-init='paperQtySelectRemove(option.type)'>{{option.content}}</option> 
					 	</select>
					</div>  
					<div class="form-group"> 
					 	<label class="info_CulTitle">추가비용</label>
			         	<label class="info_CulValue">고객선호도</label>
					</div>
					
					<div class="form-group"> 
					 	<label class="info_CulTitle">월임대료</label>
			         	<label class="info_CulValue"><font face="NanumGothicBold" color="#2e3f64" id="resultPrice">{{productInfo.price}}</font>원</label>
					</div>
				</div> 
				<div id="modal-center">
					<div class="form-group"> 
						<div id="info_textArea" style="overflow: auto;"></div>
					</div>
				</div>    
			</div>
			<div class="modal-footer">  
		        <button type="button" class="btn btn-default" data-dismiss="modal">확인</button>
	     	 </div>		       
	      </div> 
	      
	    </div>
	  </div>
	</div> 
